## plasma-camera 2.0.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Jonah Brüchert <jbb@kaidan.im>
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)
set(KF_MIN_VERSION "6.0.0")
set(QT_MIN_VERSION "6.6.0")
set(PROJECT_VERSION "2.0.0")

project(plasma-camera VERSION ${PROJECT_VERSION})

include(FeatureSummary)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMConfiguredInstall)
include(ECMPoQmTools)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PLASMACAMERA
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
    Core
    Quick
    Test
    Gui
    Svg
    QuickControls2
    Sensors
)

if(NOT ANDROID)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
endif()

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami CoreAddons I18n Config)

add_subdirectory(src)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

install(PROGRAMS org.kde.plasma.camera.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.plasma.camera.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Andrew Wang
# SPDX-FileCopyrightText: 2018 Jonah Brüchert <jbb@kaidan.im>
# SPDX-License-Identifier: GPL-3.0-or-later

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(plasma-camera_SRCS
    main.cpp
    plasmacamera.cpp
    plasmacameramanager.cpp
    plasmacamera/converter.cpp
    plasmacamera/image.cpp
    plasmacamera/path.cpp
    plasmacamera/settings.cpp
    plasmacamera/worker.cpp
    resources.qrc
)

find_package(Qt6 REQUIRED COMPONENTS Multimedia)

add_executable(plasma-camera ${plasma-camera_SRCS})
target_compile_options(plasma-camera PUBLIC -fexceptions)
target_link_libraries(
        plasma-camera
        Qt::Core
        Qt::Qml
        Qt::Quick
        Qt::Svg
        Qt::Sensors
        Qt6::Multimedia
        KF6::CoreAddons
        KF6::I18n
        KF6::ConfigGui
)

find_package(PkgConfig)
pkg_check_modules(LIBCAMERA REQUIRED IMPORTED_TARGET libcamera)
include_directories(${CMAKE_SOURCE_DIR} ${LIBCAMERA_INCLUDE_DIRS})

kconfig_add_kcfg_files(plasma-camera GENERATE_MOC camerasettings.kcfgc)

if(ANDROID)
    target_link_libraries(plasma-camera Qt::Svg KF6::Kirigami)

    kirigami_package_breeze_icons(ICONS
        emblem-videos-symbolic
        camera-photo-symbolic
        dialog-error-symbolic
        media-playback-start
        media-playback-stop
        alarm-symbolic
        camera-photo
        ratiocrop
        whitebalance
        clock
        help-about
    )

    ecm_add_android_apk(plasma-camera ANDROID_DIR ${CMAKE_SOURCE_DIR})
else()
    target_link_libraries(plasma-camera Qt::Widgets PkgConfig::LIBCAMERA)
endif()

target_include_directories(plasma-camera PRIVATE ${CMAKE_BINARY_DIR})
install(TARGETS plasma-camera ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
plasma-camera (1:2.0.0-0zneon+24.04+noble+release+build6) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 21:59:22 +0000

plasma-camera (1:2.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 16 Jul 2025 07:05:19 +1000

plasma-camera (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 28 Feb 2024 12:05:19 +0000

plasma-camera (23.04.1-0neon) jammy; urgency=medium

  * New release - not by ci just copying the release stuff from qmlkonsole

 -- Neon CI <neon@kde.org>  Tue, 09 May 2023 22:46:21 +0000

plasma-camera (23.01.0) unstable; urgency=medium

  * New upstream release

 -- Jonah Brüchert <jbb@kaidan.im>  Sun, 09 Jun 2019 21:03:44 +0200

plasma-camera (0.0.1+git20190608-1) unstable; urgency=medium

  * New snapshot

 -- Jonah Brüchert <jbb@kaidan.im>  Sat, 08 Jun 2019 01:23:39 +0200

plasma-camera (0.0.1+git20190403-1) unstable; urgency=medium

  * New snapshot

 -- Jonah Brüchert <jbb@kaidan.im>  Wed, 03 Apr 2019 15:35:24 +0200

plasma-camera (0.0.1ubuntu2-0ubuntu1) vivid; urgency=medium

  * New snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 12 Jun 2015 06:13:15 +0200

plasma-camera (0.0.1ubuntu1) vivid; urgency=medium

  * Add dep 

 -- Boudewijn Rempt <boud@kde.org>  Fri, 05 Jun 2015 08:13:59 +0000

plasma-camera (0.0.1) vivid; urgency=medium

  * Initial release. 

 -- Boudewijn Rempt <boud@kde.org>  Wed, 05 June 2015 09:50:41 +0000

=== debian/control ===
Source: plasma-camera
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami2-dev,
               libcamera-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-sensors-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/plasma-camera.git
Vcs-Git: https://invent.kde.org/neon/mobile/plasma-camera.git
Vcs-Browser: https://invent.kde.org/neon/mobile/plasma-camera
Maintainer: Neon CI <neon@kde.org>

Package: plasma-camera
Architecture: any
Depends: kf6-kirigami2,
         qml6-module-qt-labs-settings,
         qml6-module-qtmultimedia,
         qml6-module-qtquick-controls,
         ${misc:Depends},
         ${shlibs:Depends}
Description: camera app for Plasma Mobile
 Simple camera application for mobile devices.

## plasma-camera 2.0.0+p24.04+vstable+git20250825.0557

=== debian/changelog ===
plasma-camera (1:2.0.0+p24.04+vstable+git20250825.0557-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 25 Aug 2025 05:57:59 +0000

## plasma-camera 2.0.0+p24.04+vstable+git20250901.0841

=== debian/changelog ===
plasma-camera (1:2.0.0+p24.04+vstable+git20250901.0841-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 08:41:00 +0000

## plasma-camera 2.0.0+p24.04+vstable+git20251012.0117

=== debian/changelog ===
plasma-camera (1:2.0.0+p24.04+vstable+git20251012.0117-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 01:17:43 +0000

## plasma-camera 2.0.0+p24.04+vstable+git20251020.2307

=== debian/changelog ===
plasma-camera (1:2.0.0+p24.04+vstable+git20251020.2307-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 23:07:21 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                kf6-ki18n-dev,
                kf6-kirigami2-dev,
                libcamera-dev,
+               libexiv2-dev,
                pkg-kde-tools-neon,
                pkgconf,
                qt6-base-dev,

## plasma-camera 2.0.0+p24.04+vstable+git20251028.1018

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,6 +46,8 @@
 
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami CoreAddons I18n Config)
 
+find_package(LibExiv2 REQUIRED)
+
 add_subdirectory(src)
 
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)

=== debian/changelog ===
plasma-camera (1:2.0.0+p24.04+vstable+git20251028.1018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:18:20 +0000

## plasma-camera 2.0.0+p24.04+vstable+git20251031.0734

=== debian/changelog ===
plasma-camera (1:2.0.0+p24.04+vstable+git20251031.0734-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:34:55 +0000

## plasma-camera 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 set(KF_MIN_VERSION "6.0.0")
 set(QT_MIN_VERSION "6.6.0")
-set(PROJECT_VERSION "2.0.0")
+set(PROJECT_VERSION "2.1.0")
 
 project(plasma-camera VERSION ${PROJECT_VERSION})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
         KF6::CoreAddons
         KF6::I18n
         KF6::ConfigGui
+        LibExiv2::LibExiv2
 )
 
 find_package(PkgConfig)

=== debian/changelog ===
plasma-camera (2.1.0-1) unstable; urgency=medium

  * Team upload.

  [ Marco Mattiolo ]
  * Initial release. (Closes: #1111821)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 08 Nov 2025 20:37:19 +0100

=== debian/control ===
Source: plasma-camera
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               kirigami-addons-dev,
               libcamera-dev,
               libexiv2-dev,
               libkf6config-dev (>= 6.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-multimedia-dev,
               qt6-sensors-dev (>= 6.6.0~),
               qt6-svg-dev (>= 6.6.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/plasma.camera/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-camera
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-camera.git

Package: plasma-camera
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Camera application for Plasma Mobile
 This camera application interfaces with the libcamera stack directly,
 therefore providing out-of-the-box support for mobile devices' cameras
 that are supported by the libcamera project.

=== debian/watch ===
Version: 5
Source: https://download.kde.org/stable/@PACKAGE@/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: auto

## plasma-camera 2.1.0+p24.04+vunstable+git20251204.0153

=== debian/changelog ===
plasma-camera (1:2.1.0+p24.04+vunstable+git20251204.0153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:53:26 +0000

plasma-camera (1:2.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 22:04:19 +1000

## plasma-camera 2.1.0+p24.04+vunstable+git20251208.0155

=== debian/changelog ===
plasma-camera (1:2.1.0+p24.04+vunstable+git20251208.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 01:55:45 +0000

## plasma-camera 2.1.0+p24.04+vunstable+git20260129.0314

=== debian/changelog ===
plasma-camera (1:2.1.0+p24.04+vunstable+git20260129.0314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 03:14:32 +0000

## plasma-camera 2.1.0+p24.04+vunstable+git20260201.0631

=== debian/changelog ===
plasma-camera (1:2.1.0+p24.04+vunstable+git20260201.0631-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:31:47 +0000

## plasma-camera 2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 set(KF_MIN_VERSION "6.0.0")
 set(QT_MIN_VERSION "6.6.0")
-set(PROJECT_VERSION "2.1.0")
+set(PROJECT_VERSION "2.1.1")
 
 project(plasma-camera VERSION ${PROJECT_VERSION})

=== debian/changelog ===
plasma-camera (2.1.1-2build1) resolute; urgency=medium

  * No-change rebuild for libcamera0.7

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Mar 2026 10:14:45 +0000

plasma-camera (2.1.1-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.3, no change required.
  * Update project homepage.
  * Add missing runtime dependencies on gstreamer1.0-libcamera and
    gstreamer1.0-pipewire.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Jan 2026 09:59:48 +0100

plasma-camera (2.1.1-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * New upstream release (2.1.1).

  [ Aurélien COUDERC ]
  * Update build-deps and deps with the info from cmake.

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Fri, 12 Dec 2025 20:12:36 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                kirigami-addons-dev,
                libcamera-dev,
                libexiv2-dev,
-               libkf6config-dev (>= 6.0~),
+               libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
                libkirigami-dev (>= 6.0.0~),
@@ -22,14 +22,16 @@
                qt6-multimedia-dev,
                qt6-sensors-dev (>= 6.6.0~),
                qt6-svg-dev (>= 6.6.0~),
-Standards-Version: 4.7.2
-Homepage: https://apps.kde.org/plasma.camera/
+Standards-Version: 4.7.3
+Homepage: https://invent.kde.org/plasma-mobile/plasma-camera
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-camera
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-camera.git
 
 Package: plasma-camera
 Architecture: any
-Depends: ${misc:Depends},
+Depends: gstreamer1.0-libcamera,
+         gstreamer1.0-pipewire,
+         ${misc:Depends},
          ${qml6:Depends},
          ${shlibs:Depends},
 Description: Camera application for Plasma Mobile

## plasma-camera 2.1.1+p24.04+vstable+git20251231.0041

=== debian/changelog ===
plasma-camera (1:2.1.1+p24.04+vstable+git20251231.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 00:41:08 +0000

plasma-camera (1:2.1.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 00:04:19 +0000

## plasma-camera 2.1.1+p24.04+vstable+git20260102.1208

=== debian/changelog ===
plasma-camera (1:2.1.1+p24.04+vstable+git20260102.1208-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:08:40 +0000

## plasma-camera 2.1.1+p24.04+vstable+git20260107.0638

=== debian/changelog ===
plasma-camera (1:2.1.1+p24.04+vstable+git20260107.0638-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 06:38:59 +0000

## plasma-camera 2.1.1+p24.04+vstable+git20260126.1222

=== debian/changelog ===
plasma-camera (1:2.1.1+p24.04+vstable+git20260126.1222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 12:22:23 +0000

## plasma-camera 2.1.1+p24.04+vstable+git20260131.0159

=== debian/changelog ===
plasma-camera (1:2.1.1+p24.04+vstable+git20260131.0159-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:59:23 +0000
